<?php

/**
 * @file
 * Displays MSAViewer widget.
 *
 * Available variables:
 * - $alignment_url: URL to the alignment file.
 * - $alignment_id: alignment display unique identifier on the page.
 */
?>

<div id="<?php echo $alignment_id;?>_container" class="msaviewer-block-container">
  <div id="<?php echo $alignment_id;?>" class="msaviewer-display">
  </div>
</div>

<script>
jQuery(function() {
  var opts = {
      el: document.getElementById("<?php echo $alignment_id;?>"),
      vis: {
        conserv: false,
        overviewbox: false
      },
      // smaller menu for JSBin
      menu: "small",
      bootstrapMenu: true
  };
  
  var m = new msa.msa(opts);
  // m.u.file.importURL("<?php echo $alignment_url;?>", function(){
  //   m.render();
  // });
  msa.io.fasta.read("<?php echo $alignment_url;?>", function(err, seqs){
    m.seqs.reset(seqs);
    m.render();
  });  
});

</script>
